curl --request GET \
--url https://int-api.mx.com/institutions/{institution_code} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://int-api.mx.com/institutions/{institution_code}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://int-api.mx.com/institutions/{institution_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"institution": {
"code": "mxbank",
"forgot_password_url": "https://example.url.mxbank.com/forgot-password",
"forgot_username_url": "https://example.url.mxbank.com/forgot-username",
"instructional_text": "Some instructional text <a href=\"https://example.url.mxbank.com/instructions\" id=\"instructional_text\">for end users</a>.",
"instructional_text_steps": [
"Step 1: Do this.",
"Step 2: Do that."
],
"is_disabled_by_client": false,
"iso_country_code": "US",
"medium_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png",
"name": "MX Bank",
"small_logo_url": "https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png",
"supports_account_identification": true,
"supports_account_statement": true,
"supports_account_verification": true,
"supports_oauth": true,
"supports_tax_document": true,
"supports_transaction_history": true,
"trouble_signing_in_url": "https://example.url.mxbank.com/login-trouble",
"url": "https://www.mxbank.com"
}
}Read institution
institution_code.Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The institution_code of the institution.
Response
OK
Hide child attributes
Hide child attributes
"mxbank"
"https://example.url.mxbank.com/forgot-password"
"https://example.url.mxbank.com/forgot-username"
Render this text when end users are asked for their credentials, as it helps end users provide the correct credentials when creating a new member. May contain <a></a> tags to link to explanatory material.
"Some instructional text <a href=\"https://example.url.mxbank.com/instructions\" id=\"instructional_text\">for end users</a>."
An array of instructional steps that may contain html elements.
["Step 1: Do this.", "Step 2: Do that."]
false
"US"
"https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/100x100/default_100x100.png"
"MX Bank"
"https://content.moneydesktop.com/storage/MD_Assets/Ipad%20Logos/50x50/default_50x50.png"
true
true
true
true
true
true
"https://example.url.mxbank.com/login-trouble"
"https://www.mxbank.com"

